Skip to content

List external pages

Request

You can retrieve a list of all external pages for a workspace.

OAuth tokens must have the read_write_ai_content scope.

Security
bearerAuth
Query
pageinteger, >= 1

The page of results to fetch. Defaults to the first page. page cannot exceed 5,001, and page multiplied by per_page cannot exceed 10,000. Past 5,001 the API returns a 400 parameter_invalid error; past 10,000 results it returns a 400 bad_request error with the message page limit reached, please use scroll API.

Default:1
Example:page=1
per_pageinteger, [ 1 .. 150 ]

The number of results to return per page. Maximum 150.

Default:50
Example:per_page=50
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.

Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
curl -i -X GET \
  'https://api.intercom.io/ai/external_pages?page=1&per_page=50' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.17'

Responses

successful

Bodyapplication/json
typestring

The type of the object - list.

Value:"list"
Example:"list"

The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.

Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.

total_countinteger

A count of the total number of external pages.

Example:1
dataArray of objects(External Page)

An array of External Page objects

Response
{ "data": [ { … }, { … }, { … } ], "pages": { "type": "pages", "page": 1, "per_page": 50, "total_pages": 1 }, "total_count": 3, "type": "list" }